# TODO
# split the tools from main package ?
# split the doc ?
%define subrel 1

Name:           bzr
Epoch:          0
Version:        2.5.1
Release:        %mkrel 1
Summary:        Next-generation distributed version control
Group:          Development/Other
License:        GPLv2+
URL:            http://www.bazaar-vcs.org/
Source0:        https://launchpad.net/bzr/%{version}/%{version}/+download/bzr-%{version}.tar.gz
Source1:	https://launchpad.net/bzr/%{version}/%{version}/+download/bzr-%{version}.tar.gz.sig
# Fixed upstream here: https://bugs.launchpad.net/bzr/+bug/1182124
Patch0:         bzr-cve2013-2099.patch
# Fix for gpg signing when no gpg agent is present:
# https://bugs.launchpad.net/ubuntu/+source/bzr/+bug/1014570
Patch1: bzr-gpg-no-agent-error.patch
BuildRequires:  python-devel python-paramiko zlib-devel
%define _provides_exceptions perl(

%description
Bazaar is a distributed revision control system. It allows team members to
branch and merge upstream code very easily.

Distributed revision control systems allow multiple people to have their
own branch of a project, and merge code efficiently between them. This
enables new contributors to immediately have access to the full tools that
previously have been limited to just the committers to a project.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%check
# run test in /tmp to avoid lock problems with nfs on build cluster
# sadely, it's not enough: bzr tests are trying to rebuild bzr, and
# so must be run in the bzr build dir
# cd /tmp
# $OLDPWD/bzr selftest

# (misc) broken by diff binary test, will investigate later
# still broken with 0.11
# still broken with 0.12
# still broken with 0.13, maybe du to a local server listening , as pycurl test fail
# still broken with 0.15
export TMPDIR=/tmp
#./bzr selftest

%install
rm -rf %{buildroot}
python setup.py install --prefix=%{buildroot}/%_prefix
mkdir -p %{buildroot}/%_mandir/
mv %{buildroot}/%_prefix/man/* %{buildroot}/%_mandir/
# remove as they are packaged externally
rm -Rf %{buildroot}/%python_sitearch/bzrlib/util/elementtree

find %{buildroot}/%python_sitearch -name '*.pyc' | xargs rm -f

# install bash completion
mkdir -p %{buildroot}/%{_sysconfdir}/bash_completion.d/
cp contrib/bash/bzr %{buildroot}/%{_sysconfdir}/bash_completion.d/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc  doc contrib NEWS README TODO tools
%_bindir/bzr
%python_sitearch/bzrlib/
%python_sitearch/*egg-info
%_mandir/man1/*
%config(noreplace) %{_sysconfdir}/bash_completion.d/bzr




%changelog
* Sat Jun 08 2013 philippem <philippem> 0:2.5.1-1.1.mga2
+ Revision: 440534
- fix CVE-2013-2099 (ssl.match_hostname DOS)

  + kharec <kharec>
    - Push 2.5 in mageia 2 (#5077)
    - New version, bugfix release.
    - new version

* Sat Apr 16 2011 misc <misc> 0:2.3.1-1.mga1
+ Revision: 86163
- use more standard macros
- upgrade to 2.3.1
- remove patch, already applied upstream

* Tue Feb 01 2011 dmorgan <dmorgan> 0:2.2.3-1.mga1
+ Revision: 45785
- imported package bzr

